### DB_MPOOLFILE->set_pgcookie

`

###

    #include <db.h>

    int
    DB_MPOOLFILE->set_pgcookie(DB_MPOOLFILE *mpf, DBT *pgcookie);

    int
    DB_MPOOLFILE->get_pgcookie(DB_MPOOLFILE *mpf, DBT *dbt);

### Description: DB_MPOOLFILE->set_pgcookie

The DB_MPOOLFILE->set_pgcookie method specifies a byte string that is provided to the functions registered to do input or output processing of the file's pages as they are read from or written to, the backing filesystem store. (See the DB_ENV->memp_register documentation for more information.)

The DB_MPOOLFILE->set_pgcookie method configures a file in the memory pool, not only operations performed using the specified DB_MPOOLFILE handle.

The DB_MPOOLFILE->set_pgcookie method may not be called after the DB_MPOOLFILE->open method is called. If the file is already open in the memory pool when DB_MPOOLFILE->open is called, the information specified to DB_MPOOLFILE->set_pgcookie will replace the existing information.

The DB_MPOOLFILE->set_pgcookie method returns a non-zero error value on failure and 0 on success.

### Parameters

pgcookie
  The pgcookie parameter is a byte string provided to the functions registered to do input or output processing of the file's pages.

### Description: DB_MPOOLFILE->get_pgcookie

The DB_MPOOLFILE->get_pgcookie method returns the byte string.

The DB_MPOOLFILE->get_pgcookie method may be called at any time during the life of the application.

The DB_MPOOLFILE->get_pgcookie method returns a non-zero error value on failure and 0 on success.

### Parameters

dbt
  The DB_MPOOLFILE->get_pgcookie method returns a reference to the byte string in dbt.

### Class

DB_ENV, DB_MPOOLFILE

### See Also

Memory Pools and Related Methods`

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.